Ubuntu

cupsys changelog is unreadable (and nonexistant)

Reported by Matteo Croce on 2008-03-18
4
Affects Status Importance Assigned to Milestone
cupsys (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: libcupsys2

Self explanatory:

[~]$ cat /usr/share/doc/cupsys/changelog.Debian.gz
cat: /usr/share/doc/cupsys/changelog.Debian.gz: Too many levels of symbolic links
[~]$ ll /usr/share/doc/cupsys/changelog.Debian.gz
lrwxrwxrwx 1 root root 33 Mar 18 15:59 /usr/share/doc/cupsys/changelog.Debian.gz -> ../libcupsys2/changelog.Debian.gz
[~]$ ll /usr/share/doc/libcupsys2/changelog.Debian.gz
lrwxrwxrwx 1 root root 33 Mar 18 15:59 /usr/share/doc/libcupsys2/changelog.Debian.gz -> ../libcupsys2/changelog.Debian.gz
[~]$

Lars Ljung (larslj) wrote :

Confirmed, this also applies to other files in other /usr/share/doc/cupsys* and libcups* directories (like CREDITS.TXT etc.)

Changed in cupsys:
status: New → Confirmed
Till Kamppeter (till-kamppeter) wrote :

In the current cupsys package (1.3.6-3ubuntu1) this seems to be fixed:

till@till-laptop:~/lsb/3.2$ ll /usr/share/doc/libcupsys2/changelog.Debian.gz
-rw-r--r-- 1 root root 51293 2008-03-20 16:44 /usr/share/doc/libcupsys2/changelog.Debian.gz
till@till-laptop:~/lsb/3.2$

Lars Ljung (larslj) wrote :

I resolved the problem by reinstalling llibcupsys2 (1.3.6-3ubuntu1).

still happening, after upgrade from gutsy to hardy.

||/ Name Version Description
+++-==============-==============-============================================
ii libcupsys2 1.3.7-1ubuntu3 Common UNIX Printing System(tm) - libs

$ ls -l /usr/share/doc/libcupsys2
total 24
lrwxrwxrwx 1 root root 36 2008-04-28 15:45 changelog.Debian.gz -> ../cupsys-common/changelog.Debian.gz
lrwxrwxrwx 1 root root 29 2008-04-28 15:45 changelog.gz -> ../cupsys-common/changelog.gz
-rw-r--r-- 1 root root 5866 2008-04-22 08:15 copyright
lrwxrwxrwx 1 root root 25 2008-04-28 15:45 CREDITS.txt -> ../libcupsys2/CREDITS.txt
drwxr-xr-x 2 root root 4096 2008-04-28 15:45 examples/
-rw-r--r-- 1 root root 1206 2008-04-22 08:15 HOWTO_BUGREPORT.txt
lrwxrwxrwx 1 root root 19 2007-10-19 13:27 online-docs -> ../../cups/doc-root/
-rw-r--r-- 1 root root 4556 2008-04-22 08:15 README.Debian.gz
lrwxrwxrwx 1 root root 27 2008-04-28 15:45 README.txt.gz -> ../libcupsys2/README.txt.gz

$ ls -l /usr/share/doc/cupsys-common
lrwxrwxrwx 1 root root 10 2007-10-19 13:27 /usr/share/doc/cupsys-common -> libcupsys2/

I've checked this again, and it has only happened on some of our hardy machines but not all of them.

All of them were upgraded from gutsy in the same way as far as I can tell, so I'm not sure what the difference was between them, sorry.

Changed in cupsys:
importance: Undecided → Low
Ed Blackman (ed-edgewood) wrote :

I have experienced this, too, and it's fixed with a "apt-get install --reinstall cupsys-common libcupsys2", but the problem reoccurs occasionally. I have a monthly cron script that runs "debsums -cagp /var/cache/apt/archives 2>&1 | grep -v '^/'" to find debsums problems (because my monthly backup uses debsums to remove unmodified package-installed files from the backup list), and the problem occurs a couple of times per year.

Affected files:

/usr/share/doc/cupsys-common/changelog.gz
/usr/share/doc/cupsys-common/changelog.Debian.gz

/usr/share/doc/libcupsys2/CREDITS.txt
/usr/share/doc/libcupsys2/changelog.Debian.gz
/usr/share/doc/libcupsys2/changelog.gz
/usr/share/doc/libcupsys2/README.txt.gz

Phillip Susi (psusi) wrote :

Hardy has reached end of life, and this package is not present in later releases. Closing all related bugs.

Changed in cupsys (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers